package gov.va.med.esr.common.rule.parameter;

import gov.va.med.fw.cache.TransactionTimestampCacheManager;
import gov.va.med.fw.service.transaction.TransactionTimestampManager;

import java.sql.Timestamp;
import java.util.Date;

public class TransactionTimestampManagerStub extends
		TransactionTimestampManager {
	public TransactionTimestampManagerStub(){
		this.setTimestampCacheManager(new TransactionTimestampCacheManager());
	}
	
	public Timestamp getTransactionTimestamp() {
		return new Timestamp((new Date()).getTime());
	}
}
